Module org.hsqldb
Package org.hsqldb.lib

## Class HsqlByteArrayInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.hsqldb.lib.HsqlByteArrayInputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataInput`, `java.lang.AutoCloseable`

      public class HsqlByteArrayInputStream
      extends java.io.InputStream
      implements java.io.DataInput

  This class is a replacement for both java.io.ByteArrayInputStream (without synchronization) and java.io.DataInputStream
  Since:
    1.7.2
  Author:
    Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HsqlByteArrayInputStream​(byte[] buf)` |
    `HsqlByteArrayInputStream​(byte[] buf, int offset, int length)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `available()` |
    `void` | `close()` |
    `long` | `getPos()` |
    `void` | `mark​(int readAheadLimit)` |
    `boolean` | `markSupported()` |
    `int` | `read()` |
    `int` | `read​(byte[] b, int off, int len)` |
    `boolean` | `readBoolean()` |
    `byte` | `readByte()` |
    `char` | `readChar()` |
    `double` | `readDouble()` |
    `float` | `readFloat()` |
    `void` | `readFully​(byte[] b)` |
    `void` | `readFully​(byte[] b, int off, int len)` |
    `int` | `readInt()` |
    `java.lang.String` | `readLine()` |
    `long` | `readLong()` |
    `short` | `readShort()` |
    `int` | `readUnsignedByte()` |
    `int` | `readUnsignedShort()` |
    `java.lang.String` | `readUTF()` |
    `void` | `reset()` |
    `long` | `skip​(long n)` |
    `int` | `skipBytes​(int n)` |

    - ### Methods inherited from class java.io.InputStream

      `nullInputStream, read, readAllBytes, readNBytes, readNBytes, transferTo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HsqlByteArrayInputStream

          public HsqlByteArrayInputStream​(byte[] buf)

    - #### HsqlByteArrayInputStream

          public HsqlByteArrayInputStream​(byte[] buf,
                                          int offset,
                                          int length)

  - ### Method Detail

    - #### getPos

          public final long getPos()

    - #### readFully

          public void readFully​(byte[] b)
                         throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFully

          public final void readFully​(byte[] b,
                                      int off,
                                      int len)
                               throws java.io.IOException

      Specified by:
        `readFully` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readBoolean

          public boolean readBoolean()
                              throws java.io.IOException

      Specified by:
        `readBoolean` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readByte

          public byte readByte()
                        throws java.io.IOException

      Specified by:
        `readByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUnsignedByte

          public final int readUnsignedByte()
                                     throws java.io.IOException

      Specified by:
        `readUnsignedByte` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readShort

          public short readShort()
                          throws java.io.IOException

      Specified by:
        `readShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readUnsignedShort

          public final int readUnsignedShort()
                                      throws java.io.IOException

      Specified by:
        `readUnsignedShort` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readChar

          public char readChar()
                        throws java.io.IOException

      Specified by:
        `readChar` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readInt

          public int readInt()
                      throws java.io.IOException

      Specified by:
        `readInt` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readLong

          public long readLong()
                        throws java.io.IOException

      Specified by:
        `readLong` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readFloat

          public final float readFloat()
                                throws java.io.IOException

      Specified by:
        `readFloat` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### readDouble

          public final double readDouble()
                                  throws java.io.IOException

      Specified by:
        `readDouble` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### skipBytes

          public int skipBytes​(int n)

      Specified by:
        `skipBytes` in interface `java.io.DataInput`

    - #### readLine

          public java.lang.String readLine()

      Specified by:
        `readLine` in interface `java.io.DataInput`

    - #### readUTF

          public java.lang.String readUTF()
                                   throws java.io.IOException

      Specified by:
        `readUTF` in interface `java.io.DataInput`
      Throws:
        `java.io.IOException`

    - #### read

          public int read()

      Specified by:
        `read` in class `java.io.InputStream`

    - #### read

          public int read​(byte[] b,
                          int off,
                          int len)

      Overrides:
        `read` in class `java.io.InputStream`

    - #### skip

          public long skip​(long n)

      Overrides:
        `skip` in class `java.io.InputStream`

    - #### available

          public int available()

      Overrides:
        `available` in class `java.io.InputStream`

    - #### markSupported

          public boolean markSupported()

      Overrides:
        `markSupported` in class `java.io.InputStream`

    - #### mark

          public void mark​(int readAheadLimit)

      Overrides:
        `mark` in class `java.io.InputStream`

    - #### reset

          public void reset()

      Overrides:
        `reset` in class `java.io.InputStream`

    - #### close

          public void close()

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Overrides:
        `close` in class `java.io.InputStream`